Bug 26679 - REF: Anaconda should support DHCP_HOSTNAME
Summary: REF: Anaconda should support DHCP_HOSTNAME
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-08 08:31 UTC by Stephen Rasku
Modified: 2018-01-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-12 16:11:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Rasku 2001-02-08 08:31:49 UTC
If your DHCP server requires DHCP_HOSTNAME you can't specify this in the
install program.  You have to edit ifcfg-eth0 by hand after booting and
waiting x minutes for DHCP to time out.  You should be able to specify this
in the install.

Comment 1 Erik Troan 2001-06-29 14:54:57 UTC
This would take an extra screen we'd rather not add. Specifying your hostname
*should* do the right thing though; if not it's a bug with dhcpcd.

Comment 2 Stephen Rasku 2001-06-29 17:32:39 UTC
I am not running dhcpd.  I am using pump to connect to an @Home DHCP server.  Will specifying the hostname work for this?

Comment 3 Stephen Rasku 2001-08-04 17:01:19 UTC
You don't actually need a separate screen.  The "Network Configuration" screen
actually has the hostname already on it but it is greyed out if "Configure using
DHCP" is selected.  All you need to do is over-load it so that it sets
DHCP_HOSTNAME if that option is selected.

This is obviously not going to make it into the next release but I re-open it
for consideration for the one after that.


Note You need to log in before you can comment on or make changes to this bug.